#Hey Renpy I got some music tracks...

init python:
    # Step 1. Create a MusicRoom instance.
    mr = MusicRoom(fadeout=1.0)
    
    # Step 2. Add music files.
    mr.add("mu/Kaleidoscope.mp3",  always_unlocked=True)
    mr.add("mu/Cradle Of Tears.mp3",  always_unlocked=True)
    mr.add("mu/Killing Time.mp3",  always_unlocked=True)
    mr.add("mu/Everything's ruined.mp3",  always_unlocked=True)
    mr.add("mu/City Of Desperacy.mp3",  always_unlocked=True)
    mr.add("mu/zero-project - Autumn prelude.mp3",  always_unlocked=True)
    mr.add("mu/zero-project - The defeat of the Demon King.mp3",  always_unlocked=True)

    #Hey Renpy now I gotta make a player to play em...
screen music_room:

    tag menu
    window: 
        background "mu/MusicRoom.jpg"
        

        #I need a way to get back to the main menu, or bonus menu. 
    imagemap:
        ground "ui/Return_ground.png"
        idle "ui/Return_idle.png"
        hover "ui/Return_hover.png"
       
        alpha False
        
        hotspot (5, 644,182, 87) action ShowMenu("bonusmenu")

        #these positions change depending on your layout
    frame: 
        style_group "mr"
        # xfill True 
        ypos 50 ##Down 
        
        
        has vbox:
            label _("Jukebox") 
            xalign 0.5
            yalign 0.5
            spacing 2
           

        ## The buttons that play each track.  
        ## MUST CORRESPOND TO THE TRACK LIST ABOVE
        textbutton "Kaleidoscope" action mr.Play("mu/Kaleidoscope.mp3")
        textbutton "Cradle of Tears" action mr.Play("mu/Cradle Of Tears.mp3")
        textbutton "Killing Time" action mr.Play("mu/Killing Time.mp3")
        textbutton "Ruined" action mr.Play("mu/Everything's ruined.mp3")
        textbutton "City of Desperation" action mr.Play("mu/City Of Desperacy.mp3")
        textbutton "Zero Project: Autumn Prelude" action mr.Play("mu/zero-project - Autumn prelude.mp3")
        textbutton "Zero Project: Defeat of the Demon King" action mr.Play("mu/zero-project - The defeat of the Demon King.mp3")


    frame:
        style_group "mr"
        xpos 510 # across
        ypos 550 # down
        
        has vbox:
            # xalign 0.5
            # yalign 0.5
            spacing 5
       
        # Buttons that let us advance tracks.
        textbutton "|<< Prev Track" action mr.Previous()       
        textbutton "Next Track >>|" action mr.Next()

    # Start the music playing on entry to the music room.
    on "replace" action mr.Play("mu/Killing Time.mp3")

    # Restore the main menu music upon leaving.
    #on "replaced" action Play("music", "mu/02 - Night Out_Inst.mp3")
    
init -2 python:
    # Buttons
    style.mr_button.xalign = 0.5
    style.mr_button.size_group = "mr"
    
    # Frame
    style.mr_frame.left_margin = 440
    style.mr_frame.right_margin = 50
    style.mr_frame.top_margin = 0
    style.mr_frame.xalign = 0.5
    #style.mr_frame.yalign = 0.5
    
    # Label text 
    style.mr_label.xalign = 0.5
    style.mr_label_text.color = "#ffffff"
    style.mr_label_text.size = 34
    style.mr_label_text.font = "LHFmisterspookyREG_0.TTF"
    style.mr_label_text.outlines = [(1, "#666633", 0, 0)]
    style.mr_label_text.drop_shadow = [(1, 1)] 
    style.mr_label_text.drop_shadow_color = "#333333"
    
    
